summaryrefslogtreecommitdiffstats
path: root/office/adobe-reader-fontpacks
diff options
context:
space:
mode:
Diffstat (limited to 'office/adobe-reader-fontpacks')
-rw-r--r--office/adobe-reader-fontpacks/README40
-rw-r--r--office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild39
2 files changed, 51 insertions, 28 deletions
diff --git a/office/adobe-reader-fontpacks/README b/office/adobe-reader-fontpacks/README
index 1b48b5a61f..b1175b52ff 100644
--- a/office/adobe-reader-fontpacks/README
+++ b/office/adobe-reader-fontpacks/README
@@ -1,25 +1,27 @@
Asian and Extended Language Font Packs for Adobe Reader
-There are several additional Font Packs available for Adobe Reader so you can
-display and interact with documents authored in languages other than those
-supported in your native Adobe Reader. They fall in to 2 different categories.
+There are several additional Font Packs available for Adobe Reader
+so you can display and interact with documents authored in languages
+other than those supported in your native Adobe Reader. They fall in
+to 2 different categories.
-Chinese Simplified, Chinese Traditional, Japanese and Korean Font Packs:
-They are needed to correctly display a document when an author does not embed
-the appropriate font in to the document. They are also needed when the author
-does embed the font, but the reader of the document wishes to interact in some
-way with its content ? e.g. collaborating, commenting or filling out forms.
+Chinese Simplified, Chinese Traditional, Japanese and Korean Font
+Packs: They are needed to correctly display a document when an author
+does not embed the appropriate font in to the document. They are
+also needed when the author does embed the font, but the reader
+of the document wishes to interact in some way with its content
+? e.g. collaborating, commenting or filling out forms.
-Extended Language Font Pack:
-This Font Pack covers Hebrew, Arabic, Thai, Vietnamese as well as the Eastern
-and Central European languages (including Cyrillic and Greek scripts).
-Documents in these languages always have their fonts embedded. Therefore,
-similar to the previous case, this Font Pack is needed only if the reader of
-the document wishes to interact in some way with its content - e.g.
-collaborating, commenting or filling out forms.
+Extended Language Font Pack: This Font Pack covers Hebrew, Arabic,
+Thai, Vietnamese as well as the Eastern and Central European languages
+(including Cyrillic and Greek scripts). Documents in these languages
+always have their fonts embedded. Therefore, similar to the previous
+case, this Font Pack is needed only if the reader of the document
+wishes to interact in some way with its content - e.g. collaborating,
+commenting or filling out forms.
-The Slackbuild can be built with only one of the fontpacks but will include
-all of them if they are available in the directory.
+The Slackbuild can be built with only one of the fontpacks but will
+include all of them if they are available in the directory.
-adobe-reader is not "required" to build this package but the package will be
-completely useless without it.:-)
+adobe-reader is not "required" to build this package but the package
+will be completely useless without it. :-)
diff --git a/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild
index 828cb15b2d..93e50f27b2 100644
--- a/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild
+++ b/office/adobe-reader-fontpacks/adobe-reader-fontpacks.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for adobe_reader-fontpacks
@@ -22,25 +22,44 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=adobe-reader-fontpacks
VERSION=${VERSION:-9.1}
-ARCH=i486
+# SRCARCH/ARCH should avoid linter warnings
+# DW 2023-05-15
+SRCARCH=i486
+ARCH=i586
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf ???KIT xtdfont
+# Use this as our tmp directory. Safer than rm'ing globbed dirs in $TMP
+# DW 2023-05-15
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
-LIST=$(ls $CWD/FontPack910_???_i486-linux.tar.bz2 2>/dev/null || (echo "ERROR: no FontPack tarball available, you need at least one of the files listed in the info file to build the package." > /dev/stderr ; exit 1))
+# builtin echo rather than ls
+# DW 2023-05-15
+LIST=$(echo $CWD/FontPack910_???_${SRCARCH}-linux.tar.bz2 2>/dev/null || (echo "ERROR: no FontPack tarball available, you need at least one of the files listed in the info file to build the package." > /dev/stderr ; exit 1))
mkdir $PKG/opt
@@ -58,10 +77,12 @@ do
cd -
done
-rm $PKG/opt/INSTALL
+rm -f $PKG/opt/INSTALL
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/opt/LICREAD.TXT \
+# Not all packs have LICREAD.TXT
+# DW 2023-05-15
+[ -e $PKG/opt/LICREAD.TXT ] && cp -a $PKG/opt/LICREAD.TXT \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -69,4 +90,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE